> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/product-structures.md).

# Product structures

Product structures are the blueprints for products and variants in the system. A product structure defines tabs, sections and attributes that are available using that product structure

You can manage attributes through [Settings](/reference/settings.md) > [Data models](/reference/settings/data-models.md) > [Product structures](/reference/settings/data-models/product-structures.md).

### View product structures

Product structures are shown directly in the product structure page.

### Find product structure

1. Click column header for Alias or others
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new product structure

1. Click "+ Create product structure"
2. Set Name along with additional [settings](/reference/settings/data-models/product-structures/general-settings.md)
3. Click "Next"
4. Set up a product [data model](/reference/settings/data-models/product-structures/model-setup.md)
5. Click "Next"
6. Optionally configure a [wizard](/reference/settings/data-models/product-structures/wizard-setup.md)
7. Click "Next"
8. Set [Display settings](/reference/settings/data-models/product-structures/display-settings.md)
9. Optionally add a product [identifier](/reference/settings/data-models/product-structures/identifiers.md)
10. Click "Save"

### Copy product structure

1. Click "Copy product structure"-icon
2. Set Name
3. Click "Copy product structure"

### Edit product structure

1. Click "Edit"-icon
2. Modify [General settings](/reference/settings/data-models/product-structures/general-settings.md), [data model](/reference/settings/data-models/product-structures/model-setup.md), [wizard](/reference/settings/data-models/product-structures/wizard-setup.md), [display settings](/reference/settings/data-models/product-structures/display-settings.md) or [identifiers](/reference/settings/data-models/product-structures/identifiers.md)
3. Click "Save"

### Delete product structure

1. Click "Delete"-icon
2. Confirm deletion

### Bulk delete product structures

1. Select the product structures you want to delete
2. Click "Delete product structure"-icon
3. Confirm deletion

{% hint style="info" %}
It is not possible to delete a product structure that has products using the structure.
{% endhint %}

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-models/product-structures.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
